Base Distribution - Task # 45563

Status: Resolved Priority: Could have
Author: Adrian Féder Category: Low Level
Created: 2013-02-18 Assigned To: Adrian Foder
Updated: 2013-02-19 Due date:

Subiject: Neos renaming issue: TYPO3.TYPOS3 leftover in persistence

Description

in TYPO3\TYPO3CR\Domain\Model\ContentObjectProxy's database table, | had still a "TYPO3\TYPO3\Domain\Model\Site" in the
targettype column.

mysql> SELECT * FROM typo3_typo3cr_domain_model_contentobjectproxy\G
FHRRRIRIAAALIRIICAALLL || QW FFEEEEEIRa e
persistence_object_identifier: d8a4eaeb-fcab-46ea-a73a-005¢c010e2de6
targettype: TYPO3\TYPO3\Domain\Model\Site
targetid: 5cfc4af5-c9ac-4521-b11c-61116b0114d1
1 row in set (0.00 sec)

Associated revisions

Revision 452fba75 - 2013-02-18 11:21 - Adrian Foder

[BUGFIX] Correct TYPO3\TYPO3 occurrences in ContentObjectProxy
This replaces occurrences of " TYPO3\TYPO3\Domain\Model\Site™
to "TYPO3\Neos...” in the ““targettype™" property of the
“TYPO3\TYPO3CR\Domain\Model\ContentObjectProxy™" entity.
Change-Id: I0ceab8e5d4fd5a7d116a82a94aa502ee7734dfd8

Fixes: #45563

History

#1 - 2013-02-18 10:59 - Christian Miller

- Category set to Low Level

- Status changed from New to Accepted

- Assigned To set to Adrian Féder

- Target version set to Sprint February 2013

#2 - 2013-02-18 11:21 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/18358

#3 - 2013-02-19 15:38 - Adrian Foder
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100
https://review.typo3.org/18358

Applied in changeset commit:452fba75184bcaf2da44adeed4d43af26e1aabdac.
